%define		qdir	/var/qmail
Name:		qmqtool
Summary:	qmHandle - a tool for the qmail queue
Version:	1.14
Release:	1.20
License:	Artistic
URL:		http://jeremy.kister.net/code/qmqtool/
Source0:	%{name}-%{version}.tgz
Patch0:		%{name}-%{version}-configure.patch
Group:		System/Utilities
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
Requires:	perl qmail
BuildRequires:	perl qmail
BuildArch:	noarch

%description
qmqtool is a utility designed for viewing and safely modifying the contents of a qmail queue.
It is extremely feature rich, with features including finding abusers, 
sorting messages by sender/sender's IP, showing stats, requeueing messages, 
queue consistency check, queue backup/restore, and others. 

%prep
%setup -q -n %{name}-%{version}
%patch0

%build
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}
./configure --perl=%{__perl} --scriptdir=%{buildroot}%{_sbindir} --qmaildir=%{qdir} --mandir=%{buildroot}%{_mandir} --prefix=%{buildroot}%{_datadir}
%__make

%install
%__make install

%files
%defattr(-,root,root)
%doc Artistic ChangeLog FAQ README
%attr(0755,root,root) %{_sbindir}/qmqtool
%{_mandir}/man8/qmqtool.8*

%changelog
* Sat Jan 24 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 1.14
* Sun Sep 07 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
